a = 10

g1 = 0.4* (x+1.2)*x*(x-1.3) + 0.5
f1 = a*sqrt( g1(x = x/a)*(1-x^2/a^2) )

g2 = 1/8* (x+1.2)*(x+1.1)*(x-1.3) + 1/2
f2 = -a*sqrt( g2(x=x/a)*(1-x^2/a^2) )

N = 300
L = [(t, f1(x=t)) for t in srange(-a,a,2*a/N)] + [(a,0)]
P = list_plot(L, plotjoined=True, thickness=4,color='black', zorder=100)
L = [(t, f2(x=t)) for t in srange(-a,a,2*a/N)] + [(a,0)]
P += list_plot(L, plotjoined=True, thickness=4,color='black', zorder=100)

for k in srange(-a+1/2, a+1/2):
	for h in srange( floor( f2(x=k) ) , floor( f1(x=k) ) +1 ):
		P += line( [(k-1/2,h), (k+1/2,h), (k+1/2,h+1), (k-1/2,h+1), (k-1/2,h)], thickness=2 )

P.axes(False)
P.set_aspect_ratio(1)
P.fontsize(20)
P.save('borri.eps')
P.save('domsq.png')

