a = 7

f1 = sqrt( (a-1/2)^2-x^2 )

f2 = -sqrt( (a-1/2)^2-x^2 )

N = 300
L = [(t, f1(x=t)) for t in srange(-a+1/2,a-1/2,2*a/N)] + [(a-1/2,0)]
P = list_plot(L, plotjoined=True, thickness=4,color='black', zorder=100)
L = [(t, f2(x=t)) for t in srange(-a+1/2,a-1/2,2*a/N)] + [(a-1/2,0)]
P += list_plot(L, plotjoined=True, thickness=4,color='black', zorder=100)


P = circle( (0,0),a-1, thickness=4,color='black', zorder=100)
#P += line( [(0,-a), (0,a)], linestyle='--', thickness=1,color='black', zorder=100)
#P += line( [(-a,0), (a,0)], linestyle='--', thickness=1,color='black', zorder=100)

for k in srange(-a+1/2, a-1/2):
	for h in srange( floor( f2(x=k+1/2) )+1/2 , floor( f1(x=k+1/2) ) +1/2 ):
		P += line( [(k,h), (k+1,h), (k+1,h+1), (k,h+1), (k,h)], thickness=2 )
		
for k1 in srange(-a,a):
	for k2 in srange(-a,a):
		if k1^2+k2^2<=(a-1)^2:
			P += point( [(k1,k2)], size=60)
P += point( [(0,0)], size=65, color='white', zorder=100)
P += circle( (0,0),0.2, thickness=2,color='black', zorder=100)

for k in srange(-a+1,a):
	P += point( [(k,0)], size=65, color='white', zorder=100)
	P += circle( (k,0),0.2, thickness=2,color='black', zorder=100)
	P += point( [(0,k)], size=65, color='white', zorder=100)
	P += circle( (0,k),0.2, thickness=2,color='black', zorder=100)


P.axes(False)
P.set_aspect_ratio(1)
P.fontsize(20)
P.save('borri.eps')
P.save('circsq.png')

